{system/conversion/conversion_progress.i}
/*------------------------------------------------------------------------
  File: aa/conversion/13.01/aa-1301-after-01-sp-security-level.p
  Doel: Security zetten op Hotfolder button in Purchase Invoice
        
  Programmeur: Warnie
               (c)Softpak BV
  Datum: 10/2012

  Vanaf 13.01 is de Hotfolder button beschikbaar op de Attachments tab
  van de Purchase Invoice. Hierop moet default High security staan
------------------------------------------------------------------------*/
DEF VAR cProgram                      AS CHAR NO-UNDO.
DEF VAR cAction                       AS CHAR NO-UNDO.
DEF VAR iDone                         AS INT  NO-UNDO.
DEF VAR iModulo                       AS INT  NO-UNDO.

DEFINE VARIABLE iLoop          AS INTEGER   NO-UNDO.
DEFINE VARIABLE cControlString AS CHARACTER NO-UNDO.

ASSIGN cProgram =  "aa-1301-after-01-sp-security-level.p"
       iModulo  =  1.  /* om het record info tonen */

FORM "Program  :" AT 1 cProgram   NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Action   :" AT 1 cAction    NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Done     :" AT 1 iDone      NO-LABEL  FORMAT "9999999"  AT 12  SKIP   
     WITH FRAME a.

DISABLE TRIGGERS FOR LOAD OF sp-security-level.

DO:
  ASSIGN cAction = "Aanmaken security"
         iDone   = 0.
  RUN DisplayProgress (cProgram, cAction, '', 0, iDone).

  IF NOT CAN-FIND(sp-security-level WHERE
                  sp-security-level.applicatiekode = "AA"     AND
                  sp-security-level.itemtype       = "BUTTON" AND
                  sp-security-level.itemkode       = "aa.purchase_invoice.p-attachment-extra.Hot folder" 
                  NO-LOCK)
  THEN DO:
    CREATE sp-security-level.
    ASSIGN sp-security-level.applicatiekode = "AA" 
           sp-security-level.itemtype       = "BUTTON"   
           sp-security-level.itemkode       = "aa.purchase_invoice.p-attachment-extra.Hot folder" 
           sp-security-level.highlevel      = TRUE.
    iDone = iDone  + 1.
  END.
END.

RUN DisplayProgress (cProgram, cAction, '', 0, iDone).
